开发VPS一键安装PHP环境的难题(2)

王志勇 发表于 2019年09月02日 20:23

最大的难题仍然是VPS每月的重装次数严重不够用,每个VPS每月只能重装30次。今天发现KVM和OpenVZ的配置有一定的区别。我现在手里共有9个VPS,有几个是闲置、或半闲置状态,这几个都是KVM。OpenVZ空间反而一个闲置的都没有,所以必须腾出OpenVZ空间,今天把2个空间的站点互换、迁移,手动操作竟然持续了将近2个小时,太折腾了。

正是由于KVM和OpenVZ的配置有区别,所以才必须腾出OpenVZ空间来测试。Ubuntu的所有系统,安装LAMP问题较少,KVM和OpenVZ的配置几乎没有区别。

但是Debian系统,安装时问题较多。Debian系统在KVM机器上,问题较少。反而在OpenVZ机器上,问题较多。比如Debian 9.1系统想安装PHP 7.4,必须安装PPA。在KVM机器上,直接运行一段命令即可。
在OpenVZ,运行同样的命令会报错,大意是缺少公钥。测试中,目前公钥需要输入2次。(这个问题正在解决当中,要做到只需输入一次即可)

今天测试了Debian 8.0,8.2,8.5三个系统,它们的安装有一定区别。

今天的测试当中,KVM的Debian 9.1系统,默认有安装lsb_release。而OpenVZ的Debian 9.1系统,竟然系统中不带lsb_release,后来想了想,终于想到了原因可能是出在OpenVZ的系统是Debian 9.1 Minimal版。因此在Shell一键命令中,需要检测系统中是否有lsb_release,如果没有就需要安装。
因为安装PPA+PHP 7.X,需要用到lsb_release,否则无法安装PHP 7。

Ubuntu在不同的机器,兼容性问题少一些。Debian的兼容性问题多,而且Debian发行的版本特别多,比如8.0,8.2,8.5,9.1,9.3,9.9,这只是列举一小部分,这几个版本是VPS服务商较常用的版本。
(附:Debian的版本号命名,几乎是无间断的,例如8.1、8.2、8.3、8.4、8.5、8.6、8.7……一直到现在的9.9。)

由于Debian的兼容性问题多,仅仅2天,为了调试,一个VPS(OpenVZ)已经重装了28次系统。其它的机器这2天也重装了20多次。

0条评论:

发表评论:
名字: (*必填)
博客: (可省)

正文:

  记住信息?

直接发送Trackback到此文章

说明:本评论系统不支持HTML代码。(您的留言需要审核,审核规则请见这里。)

王志勇:1980-09-26 (39周岁)
程序设计,前端设计。

版权声明:本博客所有文章,均符合原创的定义,禁止转载,违者将必究;正确的方法是贴原文的标题和网址即可。

与此相关的链接
自由勇专栏

Blog存档 Archives

2019年08月
2019年07月
2019年06月
2019年05月
2019年04月(30)
2019年03月(30)
2019年02月(30)
2019年01月(30)
2018年12月(30)
2018年11月(30)
2018年10月(30)
2018年09月(17)
2016年-2017年(9)
2014年06月-09月(10)
2013年 +

2012年 +
2011年 +
2010年 +
2009年 +
2008年 +
2007年 +
2006年 +
2005年09月(4)

Copyright © 2006-2019 auiou.com All rights reserved.
此Blog程序由王志勇编写 已经发布在Arsue